
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&family=Russo+One&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}
:root{
    --title: 'Russo One', sans-serif;
    --color-text : #ffffff;
    --color-gray : #ececec;
    --color-black : #000000;
    --color-blue : #0071bc;
    --color-blue-light: #e8f1fe;
}
html{
    font-size: 62.5%;
    overflow-x: hidden;
}
body{
    background-color: var(--color-black);
}
img{
    width: 100%;
    height: auto;
}
.hidden{
    display: none;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding:  2rem 5%;
    background: var(--color-black);
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 100;
}
.header .logo{
    width: 150px;
}
.header .logo .fill-1{
    fill: var(--color-blue);
}
.header .logo .fill-2{
    fill: var(--color-text);
}
.header nav{
    display: none;
}
.header nav a{
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--color-text);
    text-transform: uppercase;
    margin-left: 3.5rem;
    transition: all .5s;
}
.header nav a:hover,
.header nav a.active{
    color: var(--color-blue);
}
#menu-icon{
    font-size: 3.6rem;
    color: var(--color-text);
    cursor: pointer;
    display: none;
}
section {
    padding: 8rem 5% 8rem;
}
.bt-primary{
    display: inline-flex;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 500;
    font-family: var(--title);
    background: var(--color-black);
    color: var(--color-text);
    padding: 1.5rem 3.7rem;
    letter-spacing: .2rem;
    transition: all .5s;
    cursor: pointer;
}
.bt-primary:hover{
    background: var(--color-blue);
}
.box-btn{
    padding: 2.3rem 0;
}
.bt-secondary{
    display: inline-flex;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 500;
    font-family: var(--title);
    background: var(--color-blue);
    color: var(--color-text);
    border: 2px solid var(--color-blue);
    padding: 1.5rem 3.7rem;
    letter-spacing: .2rem;
    transition: all .5s;
    cursor: pointer;
}
.bt-secondary:hover{
    background-color: transparent;
    border-color: var(--color-blue);
}
.bt-primary i,
.bt-secondary i{
    font-size: 2rem;
    margin-left: 1rem;
}
.home {
    display: flex;
    align-items: center;
    padding: 0 5%;
    margin-top: 80px;
    background-image: url(../images/banner-01.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;
}
.home .home-content{
    max-width: 60rem;
}
.home .home-content h1{
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
    color: var(--color-text);
}
.home .home-content h1 span{
    font-family: var(--title);
    color: var(--color-blue);
}
.home .home-content h2,
.about .about-content h2,
.services h2,
.contact-info h2{
    font-size: 1.5rem;
    font-family: var(--title);
    text-transform: uppercase;
    color: var(--color-blue);
    margin-bottom: 2rem;
    margin-top: 1rem;
}
.home .home-content h2 span{
    margin: 0 2rem;
}
.about{
    background: var(--color-gray);
}
.about-content h1{
    font-size: 3.6rem;
    font-weight: 700;
    line-height: 1.3;
    color: var(--color-black);
    text-transform: uppercase;
}
.about-content p{
    font-size: 1.6rem;
    line-height: 2.7rem;
    margin: 4rem 0 3rem;
    color: var(--color-black);
}
.profile{
    background: white;
}
.profile img{
    max-width: 30vw;
    margin: 0 auto;
}
.profile p{
    font-size: 1.6rem;
    line-height: 2.7rem;
    margin: 4rem 0 3rem;
}
.profile h1{
    font-size: 3.6rem;
    font-weight: 700;
    line-height: 1.3;
    text-transform: uppercase;
}
.profile h2{
    font-size: 1.5rem;
    font-family: var(--title);
    text-transform: uppercase;
    color: var(--color-blue);
    margin-bottom: 2rem;
}
.profile h3{
    font-size: 1.5rem;
    font-family: var(--title);
    text-transform: uppercase;
    margin-bottom: 2rem;
}
.profile-content{
    padding: 60px;
    border: 1px solid;
    text-align: center;
    background: black;
    color: white;
}
.services h1{
    font-size: 3.6rem;
    font-weight: 700;
    line-height: 1.3;
    color: var(--color-text);
    text-transform: uppercase;
}
.services-content{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}
.services-box{
    flex: 1 1 40rem;
    padding: 3rem 2rem 4rem;
}

.services-box .services-img{
    position: relative;
}
.services-box .services-img img{
    max-width: 100%;
    height: auto;
}
.services-box .services-img h2{
    position: absolute;
    left: 0;
    bottom: 0;
    background: var(--color-black);
    padding: 1rem 2rem;
    margin-bottom: 0;
}
.services-box a{
    display: inline-block;
    font-size: 2.3rem;
    font-family: var(--title);
    text-transform: uppercase;
    color: var(--color-text);
    padding: 2rem;
}
.services .box-btn{
    text-align: center;
}
.contact{
    background: var(--color-text);
}
.contact-info{
    width: 40rem;
}
.contact-info h1{
    font-size: 3.6rem;
    font-weight: 700;
    line-height: 1.3;
    text-transform: uppercase;
}
.contact-info .contact-box{
    font-size: 1.6rem;
    padding: 3rem 0;
    border-bottom: 1px solid var(--color-gray);
}
.contact-info .contact-box:last-child{
    border-bottom: none;
}
.contact-sci{
    display: flex;
    padding: 4rem 0;
}
.contact-sci a{
    width: 5rem;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    background: var(--color-black);
    color: var(--color-text);
    padding: .2rem 1rem;
    margin-right: 1rem;
    transition: all .5s;
    cursor: pointer;
}
.contact-sci a:hover{
    background-color: var(--color-blue);
}
form .input-field{
    position: relative;
    margin: .8rem 0;
}
form .input-box .input-field input,
form .input-field textarea, form .input-field input{
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--color-black);
    background: var(--color-gray);
    border: 1px solid var(--color-gray);
    transition: all .5s;
}
form .input-box .input-field input:focus,
form .input-field textarea:focus, .input-field input:focus{
    border-color: var(--color-blue);
}
form .input-box .input-field input:valid,
form .input-field textarea:valid, .input-field input:valid{
    background-color: var(--color-blue-light);
    border-color: var(--color-blue-light);
}
.contact .contact-form .box-bth{
    text-align: right;
}
.footer{
    background: var(--color-gray);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 5%;
}
.footer .logo{
    width: 150px;
}
.footer p{
    font-size: 1.3rem;
    font-family: var(--title);
    padding-left: 30px;
}
@media only screen and (min-width: 540px) {
    .home{
        background-position: left;
    }
}
@media only screen and (min-width: 768px) {
    .header nav{
        display: flex;
        align-items: center;
    }
    .about{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 6%;
    }
    .about .about-img{
        width: 40rem;
    }
    .about-content{
        width: 80rem;
    }
    .profile img{
        max-width: 20vw;
        margin: 0 auto;
    }
    .contact{
        display: flex;
        justify-content: center;
        gap: 6%;
    }
    .contact form{
        width: 80rem;
        margin: 0 auto;
        text-align: center;
    }
    .contact form .input-box{
        position: relative;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .contact form .input-box .input-field{
        width: 49%;
    }
}
@media only screen and (min-width: 1024px) {
    .header, .footer{
        padding: 2rem 12%;
    }
    .home{
        background-position: center;
        padding: 0 12%;
    } 
    .profile img{
        max-width: 12vw;
        margin: 0 auto;
    }
    section {
        padding: 8rem 12% 8rem;
    }
    .footer{
        padding: 2rem 12%;
    }
}